<?php
/**
 * @version        1.0.0
 * @package        Joomla
 * @subpackage     StopComponents
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2022 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die;

use Joomla\CMS\Plugin\CMSPlugin;


class PlgSystemStopcomponents extends CMSPlugin
{
	public function __construct(&$subject, $config = array())
	{
		parent::__construct($subject, $config);
	}

	/**
	 * Application object
	 *
	 * @var    JApplicationCms
	 *
	 * @since  1.0.0
	 */
	protected $app;

	public function onAfterRoute()
	{
		$option = $this->app->input->getCmd('option');

		if (in_array($option, explode(',', $this->params->get('components', ''))))
		{
			$this->app->close();
		}
	}
}

